> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a tag

Deletes a tag identified by its slug. System tags cannot be deleted. If the tag is used in any rules or snippets, the deletion requires a force parameter. When forced, the tag is removed from all rules where it's used, and rules with no remaining actions are also deleted.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json delete /tags/{slug}
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /tags/{slug}:
    delete:
      tags:
        - Tags
      summary: Delete a tag
      description: >-
        Deletes a tag identified by its slug. System tags cannot be deleted. If
        the tag is used in any rules or snippets, the deletion requires a force
        parameter. When forced, the tag is removed from all rules where it's
        used, and rules with no remaining actions are also deleted.
      operationId: deleteTag
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
          description: Slug of the tag to delete
          example: old-tag
        - name: force
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: Force deletion even if tag is used in rules or snippets
          example: true
      responses:
        '200':
          description: Tag deleted successfully
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Cannot delete system tag
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: You can not delete a restricted tag.
        '404':
          description: Tag not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '428':
          description: >-
            Precondition required - tag is used in rules/snippets and force
            parameter is needed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      The tag "VIP" is used on the Rule "Assign VIP customers".
                      Are you sure you want to delete it?
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````